[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 1.4.3 on Solaris...

From: Daniel Rall <dlr_at_collab.net>
Date: 2007-02-06 01:19:54 CET

On Fri, 02 Feb 2007, Nathan Wilhelmi wrote:

> Hello - I am trying to get 1.4.3 compiled on Solaris 9. Using gcc 3.1 and
> Sun ld. I am getting the following error:

Nathan, this type of question is really more appropriate for the users
mailing list.

> ld: fatal: recording name conflict: file `/usr/local/lib/libexpat.so' and
> file `/tools/apache-2.0.47/lib/libexpat.so' provide identical dependency
> names: libexpat.so.0 (possible multiple inclusion of the same file)
>
> ld: fatal: File processing errors. No output written to .libs/svn
>
> collect2: ld returned 1 exit status
>
> make: *** [subversion/svn/svn] Error 1

Your httpd is probably linked against a different version of expat
than is being found during Subversion's link phase.

> ./configure --prefix=/test/bin/svn --with-apxs=/local/apache2/bin/apxs
> --with-apr=/local/apache2 --with-apr-util=/local/apache2/
>
> I have tried to use gld (based on posts in the archive) by adding
> LD=/path../gld to the configure script, when the make file runs it is still
> using the provided ld, so no change.

Perhaps you could set LD_LIBRARY_PATH such that /usr/local/lib isn't
found, or occurs after /tools/apache-2.0.47/lib.

  • application/pgp-signature attachment: stored
Received on Tue Feb 6 01:20:00 2007

This is an archived mail posted to the Subversion Dev mailing list.